import { WidgetBase } from '@csnext/cs-client';
import { GraphElement } from '@csnext/cs-data';
import { GraphDocument } from './../../classes/document/graph-document';
import { DocDatasource } from '../../datasources/doc-datasource';
import { EntityList, NodeEntities } from './node-entities';
export default class DocumentEntities extends WidgetBase {
    nodeGroups: NodeEntities[];
    searchMode: string;
    newEntityNode: GraphElement<import("@csnext/cs-data").BaseElementProperties>;
    iso?: any;
    get source(): DocDatasource | undefined;
    updateLayout(): void;
    clearHighlight(): void;
    highlight(list: EntityList): void;
    linkNode(group: NodeEntities): void;
    get document(): GraphDocument | undefined;
    getIsoOptions(): {
        itemSelector: string;
        layoutMode: string;
        masonry: {
            columnWidth: string;
        };
    };
    selectNodeInfo(entity: GraphElement): void;
    private getEntityColor;
    private toggleApproveEntity;
    private ignoreEntity;
    getElementCard(element: GraphElement): string | import("vue/types/umd") | import("vue").Component<import("vue/types/options").DefaultData<never>, import("vue/types/options").DefaultMethods<never>, import("vue/types/options").DefaultComputed, import("vue/types/options").DefaultProps>;
    deleteEntities(list: EntityList): Promise<boolean>;
    updateGroups(): void;
    contentLoaded(): void;
    mounted(): void;
}
